## EXPORT_SPEC int ixmlNode_setNodeValue

## (IXML_Node* nodeptr,
char* newNodeValue )

> Assigns a new value to a Node.

## Documentation

> Assigns a new value to a Node. The newNodeValue string is duplicated and stored in the Node so that the original does not have to persist past this call.

Parameters:
  nodeptr - The Node to which to assign a new value.
  newNodeValue - The new value of the Node.
Returns:
  [int] An integer representing one of the following:
  - `IXML_SUCCESS`: The operation completed successfully.
  - `IXML_INVALID_PARAMETER`: The Node* is not a valid pointer.
  - `IXML_INSUFFICIENT_MEMORY`: Not enough free memory exists to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.